Skip to main content
GET
/
api
/
v3
/
{teamSlug}
/
{projectId}
/
columns
/
templates
curl -X GET "https://fluar.com/api/v3/acme-corp/proj_550e8400e29b41d4a716446655440000/columns/templates" \
  -H "Authorization: Bearer YOUR_API_KEY"
{
  "success": true,
  "templates": [
    {
      "id": "manual",
      "label": "User Input",
      "description": "Manual text input field",
      "type": "manual",
      "dataShape": "text"
    },
    {
      "id": "ai",
      "label": "Run AI Generation",
      "description": "AI-powered column for any task",
      "type": "ai",
      "dataShape": "text"
    },
    {
      "id": "waterfall-email",
      "label": "Waterfall Email Finder",
      "description": "Find emails using multiple providers in sequence until one succeeds.",
      "type": "task",
      "dataShape": "waterfall"
    },
    {
      "id": "web-scraper",
      "label": "Scrape Website",
      "description": "Extract content from any website",
      "type": "task",
      "dataShape": "jina-scrape-result"
    }
  ]
}
Retrieve all available column templates. Use this to discover what types of columns can be created, then pass the template id to the create column endpoint. Templates include manual inputs, AI models, task integrations (email finders, scrapers, etc.), and API columns.
curl -X GET "https://fluar.com/api/v3/acme-corp/proj_550e8400e29b41d4a716446655440000/columns/templates" \
  -H "Authorization: Bearer YOUR_API_KEY"
{
  "success": true,
  "templates": [
    {
      "id": "manual",
      "label": "User Input",
      "description": "Manual text input field",
      "type": "manual",
      "dataShape": "text"
    },
    {
      "id": "ai",
      "label": "Run AI Generation",
      "description": "AI-powered column for any task",
      "type": "ai",
      "dataShape": "text"
    },
    {
      "id": "waterfall-email",
      "label": "Waterfall Email Finder",
      "description": "Find emails using multiple providers in sequence until one succeeds.",
      "type": "task",
      "dataShape": "waterfall"
    },
    {
      "id": "web-scraper",
      "label": "Scrape Website",
      "description": "Extract content from any website",
      "type": "task",
      "dataShape": "jina-scrape-result"
    }
  ]
}